# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-02-02 10:11
from __future__ import unicode_literals

from django.db import migrations

def create_initial_movie(apps, schema_editor):
    Movie = apps.get_model('catalog', 'Movie')
    m_id=Movie(name='relational test', director='Victor Fleming', imdb_score=8.3, popularity=83.0)
    m_id.save()
    print '@@@@@@@@@@@@@@@',m_id.id
    Genre = apps.get_model('catalog', 'Genre')
    Genre(movie_id=m_id.id, category='adventures').save()
    Genre(movie_id=m_id.id, category='family').save()

class Migration(migrations.Migration):

    dependencies = [
        ('catalog', '0006_auto_20180202_0935'),
    ]

    operations = [
        migrations.RunPython(create_initial_movie)
    ]
